SHA256
1
0
forked from pool/s390-tools

Accepting request 695825 from Base:System

Revert back to revision # 79.

OBS-URL: https://build.opensuse.org/request/show/695825
OBS-URL: https://build.opensuse.org/package/show/Base:System/s390-tools?expand=0&rev=82
This commit is contained in:
Mark Post 2019-04-18 18:16:03 +00:00 committed by Git OBS Bridge
parent e6494dc003
commit 0414295c92
16 changed files with 71 additions and 81 deletions

View File

@ -1,6 +1,6 @@
[Unit] [Unit]
Description=Linux - z/VM Monitor Stream Description=Linux - z/VM Monitor Stream
After=network-online.target remote-fs.target After=network-online.target remote-fs.target
Wants=network-online.target remote-fs.target Wants=network-online.target remote-fs.target
ConditionPathExists=/proc/sys/appldata/interval ConditionPathExists=/proc/sys/appldata/interval
ConditionPathExists=!/var/lock/appldata ConditionPathExists=!/var/lock/appldata

View File

@ -96,7 +96,7 @@ else mesg "Psuedo file/sys/bus/ccw/devices/${CTC_READ_CHAN}/cutype doesn't exist
fi fi
PARM_LIST="" PARM_LIST=""
if [ "${CU_TYPE}" = "3088/01" ] || [ "${CU_TYPE}" = "3088/60" ]; then if [ "${CU_TYPE}" == "3088/01" ] || [ "${CU_TYPE}" == "3088/60" ]; then
DEV_TYPE="lcs" DEV_TYPE="lcs"
else DEV_TYPE="ctc" else DEV_TYPE="ctc"
if [ -z "${CTC_MODE}" ]; then if [ -z "${CTC_MODE}" ]; then
@ -105,10 +105,10 @@ else DEV_TYPE="ctc"
fi fi
fi fi
if [ "${ON_OFF}" = 0 ]; then if [ "${ON_OFF}" == 0 ]; then
debug_mesg "chzdev -d ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN}" debug_mesg "chzdev -d ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN}"
chzdev -d ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN} chzdev -d ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN}
elif [ "${ON_OFF}" = 1 ]; then elif [ "${ON_OFF}" == 1 ]; then
debug_mesg "chzdev -e ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN} ${PARM_LIST}" debug_mesg "chzdev -e ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN} ${PARM_LIST}"
chzdev -e ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN} ${PARM_LIST} chzdev -e ${DEV_TYPE} --no-root-update ${CTC_READ_CHAN} ${PARM_LIST}
else mesg "You must specify a 0 or a 1 for the online/offline attribute." else mesg "You must specify a 0 or a 1 for the online/offline attribute."
@ -121,7 +121,7 @@ if [ ${RC} -ne 0 ]; then
exit ${RC} exit ${RC}
fi fi
if [ ${ON_OFF} = 1 ]; then if [ ${ON_OFF} == 1 ]; then
add_cio_channel "${CTC_READ_CHAN},${CTC_WRITE_CHAN}" add_cio_channel "${CTC_READ_CHAN},${CTC_WRITE_CHAN}"
else remove_cio_channel "${CTC_READ_CHAN}" else remove_cio_channel "${CTC_READ_CHAN}"
remove_cio_channel "${CTC_WRITE_CHAN}" remove_cio_channel "${CTC_WRITE_CHAN}"

View File

@ -1,4 +1,4 @@
#! /bin/bash #! /bin/sh
# #
# dasd_configure # dasd_configure
# #

View File

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
# #
# dasd_reload # dasd_reload
# $Id: dasd_reload,v 1.2 2004/05/26 15:17:09 hare Exp $ # $Id: dasd_reload,v 1.2 2004/05/26 15:17:09 hare Exp $
@ -153,4 +153,4 @@ if [ -d /etc/udev/rules.d ]; then
done done
fi fi
exit ${EXITRC} exit ${EXITRC}

View File

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
COOKIE=$(mcookie) COOKIE=$(mcookie)
DASDFILE=/tmp/dasd.list.${COOKIE} DASDFILE=/tmp/dasd.list.${COOKIE}
@ -118,7 +118,7 @@ for ADDR in $(IFS=", " ; echo ${ZVM_DISKS_TO_NOT_DETACH})
if [ ${FORCE_FAIL} -eq 1 ] && [ -e ${FAILFILE} ]; then if [ ${FORCE_FAIL} -eq 1 ] && [ -e ${FAILFILE} ]; then
let RETURN_CODE=1 let RETURN_CODE=1
${msg} "Terminating detach_disk because of input errors." ${msg} "Terminating detach_disk because of input errors."
else else
# If the system administrator specified that all "unused" disks should be # If the system administrator specified that all "unused" disks should be
# detached, compare the disks lsdasd show as activated to the complete # detached, compare the disks lsdasd show as activated to the complete
# list of disks we have currently, and add the inactive ones to the # list of disks we have currently, and add the inactive ones to the
@ -151,7 +151,7 @@ else
else vmcp detach ${HEXNO} 2>/dev/null else vmcp detach ${HEXNO} 2>/dev/null
fi fi
done done
let RETURN_CODE=0 let RETURN_CODE=0
fi fi
rm -f ${DASDFILE} ${DETFILE} ${KEEPFILE} ${NICFILE} ${FAILFILE} rm -f ${DASDFILE} ${DETFILE} ${KEEPFILE} ${NICFILE} ${FAILFILE}

16
hsnc
View File

@ -50,7 +50,7 @@ test -x $XCEC_BRIDGE_BIN || exit 5
# 5 - program is not installed # 5 - program is not installed
# 6 - program is not configured # 6 - program is not configured
# 7 - program is not running # 7 - program is not running
# #
# Note that starting an already running service, stopping # Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart # or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are # with force-reload (in case signalling is not supported) are
@ -58,14 +58,14 @@ test -x $XCEC_BRIDGE_BIN || exit 5
#call with cleanup or not #call with cleanup or not
read_config_file() { read_config_file() {
if [ "$1" = "cleanup" ]; then if [ "$1" == "cleanup" ]; then
file=$HSNC_CLEANUP_FILE file=$HSNC_CLEANUP_FILE
else else
file=$HSNC_CONFIG_FILE file=$HSNC_CONFIG_FILE
fi fi
if [ -s $file ]; then if [ -s $file ]; then
. $file source $file
else else
echo -ne "\nCannot read $file: empty or nonexistant! " echo -ne "\nCannot read $file: empty or nonexistant! "
# Means not configured: # Means not configured:
@ -77,8 +77,8 @@ read_config_file() {
set_osa_mode() { set_osa_mode() {
# for full mode, we set up the osa as multicast router. otherwise, no # for full mode, we set up the osa as multicast router. otherwise, no
# special setup is required for the osa. # special setup is required for the osa.
if [ "$operating_mode" = "full" ]; then if [ "$operating_mode" == "full" ]; then
if [ "$1" = "cleanup" ]; then if [ "$1" == "cleanup" ]; then
echo no_router > /sys/class/net/$osa_int/device/route4 echo no_router > /sys/class/net/$osa_int/device/route4
else else
echo multicast_router > /sys/class/net/$osa_int/device/route4 echo multicast_router > /sys/class/net/$osa_int/device/route4
@ -92,7 +92,7 @@ set_hsi_mode() {
# special HA setups, some more tweaking is needed, but then a handcarved # special HA setups, some more tweaking is needed, but then a handcarved
# solution should be used anyway. # solution should be used anyway.
for i in $hsi_int ; do for i in $hsi_int ; do
if [ "$1" = "cleanup" ]; then if [ "$1" == "cleanup" ]; then
echo no_router > /sys/class/net/$i/device/route4 echo no_router > /sys/class/net/$i/device/route4
else else
echo primary_connector > /sys/class/net/$i/device/route4 echo primary_connector > /sys/class/net/$i/device/route4
@ -103,7 +103,7 @@ set_hsi_mode() {
do_start_hsnc() { do_start_hsnc() {
set_osa_mode set_osa_mode
set_hsi_mode set_hsi_mode
if [ "$operating_mode" = "full" ]; then if [ "$operating_mode" == "full" ]; then
$IP_WATCHER_BIN --check $IP_WATCHER_BIN --check
else else
$IP_WATCHER_BIN --check $osa_int $IP_WATCHER_BIN --check $osa_int
@ -117,7 +117,7 @@ do_start_hsnc() {
# To match the LSB spec, startproc returns 0, # To match the LSB spec, startproc returns 0,
# even if the program it already running. # even if the program it already running.
# #
if [ "$operating_mode" = "full" ]; then if [ "$operating_mode" == "full" ]; then
startproc $START_HSNC_BIN startproc $START_HSNC_BIN
else else
startproc $START_HSNC_BIN $osa_int startproc $START_HSNC_BIN $osa_int

View File

@ -1,6 +1,6 @@
[Unit] [Unit]
Description=Start the qeth HiperSockets Network Concentrator Description=Start the qeth HiperSockets Network Concentrator
After=network-online.target remote-fs.target After=network-online.target remote-fs.target
Wants=network-online.target remote-fs.target Wants=network-online.target remote-fs.target
ConditionPathExists=/sys/devices/qeth ConditionPathExists=/sys/devices/qeth

View File

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
# #
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany. # Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
@ -148,7 +148,7 @@ if [ -r /sys/bus/ccw/devices/${BUSID}/discipline ]; then
exit 0 exit 0
fi fi
read DISCIPLINE < /sys/bus/ccw/devices/${BUSID}/discipline read DISCIPLINE < /sys/bus/ccw/devices/${BUSID}/discipline
else read CU_TYPE < /sys/bus/ccw/devices/${BUSID}/cutype else read CU_TYPE < /sys/bus/ccw/devices/${BUSID}/cutype
read DEV_TYPE < /sys/bus/ccw/devices/${BUSID}/devtype read DEV_TYPE < /sys/bus/ccw/devices/${BUSID}/devtype
case "${CU_TYPE}" in case "${CU_TYPE}" in

View File

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
function check_sysoper(){ function check_sysoper(){
local SYSOPER=$(vmcp q sysoper | cut -f4 -d" ") local SYSOPER=$(vmcp q sysoper | cut -f4 -d" ")

View File

@ -117,7 +117,7 @@ while true; do
PARM_LIST="${PARM_LIST} portno=${2}" PARM_LIST="${PARM_LIST} portno=${2}"
shift 2 shift 2
;; ;;
-o) debug_mesg "Add the following arbitrary parms: ${2}" -o) debug_mesg "Add the following arbitrary parms: ${2}"
PARM_LIST="${PARM_LIST} ${2}" PARM_LIST="${PARM_LIST} ${2}"
shift 2 shift 2
;; ;;
@ -150,10 +150,10 @@ if [ -z "${QETH_READ_CHAN}" ] || [ -z "${QETH_WRITE_CHAN}" ] || [ -z "${QETH_DAT
exit 1 exit 1
fi fi
if [ "${ON_OFF}" = 0 ]; then if [ "${ON_OFF}" == 0 ]; then
debug_mesg "chzdev -d qeth --no-root-update ${QETH_READ_CHAN}" debug_mesg "chzdev -d qeth --no-root-update ${QETH_READ_CHAN}"
chzdev -d qeth --no-root-update ${QETH_READ_CHAN} chzdev -d qeth --no-root-update ${QETH_READ_CHAN}
elif [ "${ON_OFF}" = 1 ]; then elif [ "${ON_OFF}" == 1 ]; then
debug_mesg "chzdev -e qeth --no-root-update ${LAYER_MODE} ${PARM_LIST} ${QETH_READ_CHAN}" debug_mesg "chzdev -e qeth --no-root-update ${LAYER_MODE} ${PARM_LIST} ${QETH_READ_CHAN}"
chzdev -e qeth ${LAYER_MODE} --no-root-update ${PARM_LIST} ${QETH_READ_CHAN} chzdev -e qeth ${LAYER_MODE} --no-root-update ${PARM_LIST} ${QETH_READ_CHAN}
else mesg "You must specify a 0 or a 1 for the online/offline attribute." else mesg "You must specify a 0 or a 1 for the online/offline attribute."
@ -166,7 +166,7 @@ if [ ${RC} -ne 0 ]; then
exit ${RC} exit ${RC}
fi fi
if [ ${ON_OFF} = 1 ]; then if [ ${ON_OFF} == 1 ]; then
add_cio_channel "${QETH_READ_CHAN},${QETH_WRITE_CHAN},${QETH_DATA_CHAN}" add_cio_channel "${QETH_READ_CHAN},${QETH_WRITE_CHAN},${QETH_DATA_CHAN}"
else remove_cio_channel "${QETH_READ_CHAN}" else remove_cio_channel "${QETH_READ_CHAN}"
remove_cio_channel "${QETH_WRITE_CHAN}" remove_cio_channel "${QETH_WRITE_CHAN}"

View File

@ -1,13 +1,3 @@
-------------------------------------------------------------------
Thu Feb 21 21:46:37 UTC 2019 - Jan Engelhardt <jengelh@inai.de>
- Make sure that *ALL* scripts are either sh compatible or have
been properly tagged as #!/bin/bash, not just the specfile.
- Drop BuildRequires: dracut, because it is not required to build
or install the source. Installation of the dracut module files
depends on the HAVE_DRACUT make variable only.
- Remove invisible trailing whitespaces.
------------------------------------------------------------------- -------------------------------------------------------------------
Thu Feb 21 19:38:18 UTC 2019 - mpost@suse.com Thu Feb 21 19:38:18 UTC 2019 - mpost@suse.com
@ -65,7 +55,7 @@ Wed Jan 9 23:17:22 UTC 2019 - mpost@suse.com
* Add a group named zkeyadm * Add a group named zkeyadm
* Create directory /etc/zkey/repository * Create directory /etc/zkey/repository
* Set the permissions on /etc/zkey and /etc/zkey/repository * Set the permissions on /etc/zkey and /etc/zkey/repository
* Added /usr/lib/modules-load.d/pkey.conf * Added /usr/lib/modules-load.d/pkey.conf
- Made numerous changes to the spec file based on the output from - Made numerous changes to the spec file based on the output from
spec-cleaner. spec-cleaner.
@ -132,7 +122,7 @@ Tue Nov 13 19:22:01 UTC 2018 - mpost@suse.com
* s390-tools-sles15sp1-0009-zkey-let-packaging-create-the-zkeyadm-group-and-perm.patch * s390-tools-sles15sp1-0009-zkey-let-packaging-create-the-zkeyadm-group-and-perm.patch
* s390-tools-sles15sp1-0010-zkey-Update-README-to-add-info-about-packaging-requi.patch * s390-tools-sles15sp1-0010-zkey-Update-README-to-add-info-about-packaging-requi.patch
- Added the following patches for Fate#326390 (bsc#1113353) - Added the following patches for Fate#326390 (bsc#1113353)
dm-crypt with protected keys - change master key tool dm-crypt with protected keys - change master key tool
* s390-tools-sles15sp1-0011-zkey-Typo-in-message.patch * s390-tools-sles15sp1-0011-zkey-Typo-in-message.patch
* s390-tools-sles15sp1-0012-zkey-Fix-memory-leak.patch * s390-tools-sles15sp1-0012-zkey-Fix-memory-leak.patch
* s390-tools-sles15sp1-0013-zkey-Fix-APQN-validation-routine.patch * s390-tools-sles15sp1-0013-zkey-Fix-APQN-validation-routine.patch
@ -283,7 +273,7 @@ Thu Nov 30 20:22:09 UTC 2017 - mpost@suse.com
------------------------------------------------------------------- -------------------------------------------------------------------
Thu Nov 23 13:41:27 UTC 2017 - rbrown@suse.com Thu Nov 23 13:41:27 UTC 2017 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new - Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468) %_fillupdir macro (boo#1069468)
------------------------------------------------------------------- -------------------------------------------------------------------
@ -552,7 +542,7 @@ Wed Jul 12 18:14:13 UTC 2017 - mpost@suse.com
Mon Jul 3 17:29:19 CEST 2017 - ro@suse.de Mon Jul 3 17:29:19 CEST 2017 - ro@suse.de
- Remove lsmem and chmem and their manpages from the package, - Remove lsmem and chmem and their manpages from the package,
both tools have been added to util-linux-2.30 both tools have been added to util-linux-2.30
------------------------------------------------------------------- -------------------------------------------------------------------
Wed May 31 21:26:50 UTC 2017 - mpost@suse.com Wed May 31 21:26:50 UTC 2017 - mpost@suse.com
@ -622,7 +612,7 @@ Wed Feb 1 22:00:35 UTC 2017 - mpost@suse.com
------------------------------------------------------------------- -------------------------------------------------------------------
Wed Dec 14 16:09:52 UTC 2016 - Thomas.Blume@suse.com Wed Dec 14 16:09:52 UTC 2016 - Thomas.Blume@suse.com
- cio_ignore.service: change After dependency to local-fs.target to - cio_ignore.service: change After dependency to local-fs.target to
Before and remove Wants dependency (bsc#965263) Before and remove Wants dependency (bsc#965263)
------------------------------------------------------------------- -------------------------------------------------------------------
@ -794,7 +784,7 @@ Wed Sep 9 17:55:19 UTC 2015 - mpost@suse.com
- Updated s390-tools-sles12-pardasdfmt.patch to fix error messages - Updated s390-tools-sles12-pardasdfmt.patch to fix error messages
that didn't have a "\n" on the end. (bsc#940818) that didn't have a "\n" on the end. (bsc#940818)
- Updated the spec file to install 40-z90crypt.rules into - Updated the spec file to install 40-z90crypt.rules into
/usr/lib/udev/rules.d/ (bsc#943777) /usr/lib/udev/rules.d/ (bsc#943777)
- Added the following patches from IBM (bsc#944390) - Added the following patches from IBM (bsc#944390)
- s390-tools-sles12sp1-lszfcp-incorrect-device-types.patch - s390-tools-sles12sp1-lszfcp-incorrect-device-types.patch
@ -910,7 +900,7 @@ Wed Sep 3 17:08:55 UTC 2014 - mpost@suse.com
------------------------------------------------------------------- -------------------------------------------------------------------
Wed Sep 3 01:43:27 CEST 2014 - ro@suse.de Wed Sep 3 01:43:27 CEST 2014 - ro@suse.de
- sanitize release line in specfile - sanitize release line in specfile
------------------------------------------------------------------- -------------------------------------------------------------------
Tue Sep 2 17:13:38 UTC 2014 - mpost@suse.com Tue Sep 2 17:13:38 UTC 2014 - mpost@suse.com
@ -960,7 +950,7 @@ Fri Jul 11 11:25:53 UTC 2014 - mpost@suse.com
- Implement cio_ignore.service (bnc#882685, bnc#886833) - Implement cio_ignore.service (bnc#882685, bnc#886833)
Added cio_ignore.service and setup_cio_ignore.sh Added cio_ignore.service and setup_cio_ignore.sh
Fixup dependencies for cio_ignore service Fixup dependencies for cio_ignore service
Fixup setup_cio_ignore.sh to correctly enable devices Fixup setup_cio_ignore.sh to correctly enable devices
- Added s390-tools-sles12-remove-FBA-detection-for-virtblk-devices.patch - Added s390-tools-sles12-remove-FBA-detection-for-virtblk-devices.patch
(bnc#883989) (bnc#883989)
@ -999,8 +989,8 @@ Fri Jun 13 23:34:58 UTC 2014 - mpost@suse.com
- ctc_configure - ctc_configure
- dasd_configure - dasd_configure
- qeth_configure - qeth_configure
- zfcp_host_configure - zfcp_host_configure
- Added an empty /boot/zipl/active_devices.txt file for the - Added an empty /boot/zipl/active_devices.txt file for the
tracking function (bnc#874902). tracking function (bnc#874902).
------------------------------------------------------------------- -------------------------------------------------------------------
@ -1278,7 +1268,7 @@ Fri Feb 7 00:21:49 UTC 2014 - mpost@suse.com
as shipped from IBM are not being built against the current version of as shipped from IBM are not being built against the current version of
the s390-tools source. the s390-tools source.
- Added s390-tools-sles12-chzdev-lszdev-new-tools.4.patch from IBM. - Added s390-tools-sles12-chzdev-lszdev-new-tools.4.patch from IBM.
- Updated s390-tools-sles12-install-lszdev-manpage.patch to also - Updated s390-tools-sles12-install-lszdev-manpage.patch to also
install chzdev.8 and renamed it to s390-tools-sles12-install-manpages.patch install chzdev.8 and renamed it to s390-tools-sles12-install-manpages.patch
Also explicitly set the file permissions to 644. Also explicitly set the file permissions to 644.
- Added %dir entries in the spec file for /var/adm/backup/chzdev - Added %dir entries in the spec file for /var/adm/backup/chzdev
@ -1297,7 +1287,7 @@ Wed Feb 5 00:29:24 UTC 2014 - mpost@suse.com
look like it does today. look like it does today.
- Added "ZFCPDUMP_DIR=/usr/lib/s390-tools/zfcpdump" to the make - Added "ZFCPDUMP_DIR=/usr/lib/s390-tools/zfcpdump" to the make
command so that zfcpdump would look in the right directory. command so that zfcpdump would look in the right directory.
- Removed an unnecessary - Removed an unnecessary
"mkdir -p $RPM_BUILD_ROOT%{_datadir}/s390-tools/zfcpdump" from "mkdir -p $RPM_BUILD_ROOT%{_datadir}/s390-tools/zfcpdump" from
the spec file the spec file
- Removed some of the new code from IBM for the Persistent Device - Removed some of the new code from IBM for the Persistent Device
@ -1338,7 +1328,7 @@ Wed Dec 18 16:52:10 UTC 2013 - mpost@suse.com
Thu Dec 12 17:00:54 UTC 2013 - mpost@suse.com Thu Dec 12 17:00:54 UTC 2013 - mpost@suse.com
- Added /usr/lib/systemd/system/iucvtty@.service for systemd support - Added /usr/lib/systemd/system/iucvtty@.service for systemd support
- Renamed sles12.chzdev.lszdev.addition.patch to - Renamed sles12.chzdev.lszdev.addition.patch to
s390-tools-sles12-chzdev-lszdev-new-tools.patch s390-tools-sles12-chzdev-lszdev-new-tools.patch
------------------------------------------------------------------- -------------------------------------------------------------------
@ -1460,7 +1450,7 @@ Wed Apr 17 18:31:25 UTC 2013 - mpost@suse.com
Tue Apr 2 19:50:38 UTC 2013 - mpost@suse.com Tue Apr 2 19:50:38 UTC 2013 - mpost@suse.com
- Updated mkinitrd-setup-dasd.sh script to include udev rules for DASD - Updated mkinitrd-setup-dasd.sh script to include udev rules for DASD
in DIAG mode. (bnc#808256) in DIAG mode. (bnc#808256)
------------------------------------------------------------------- -------------------------------------------------------------------
Tue Mar 26 16:59:03 UTC 2013 - mpost@suse.com Tue Mar 26 16:59:03 UTC 2013 - mpost@suse.com
@ -1482,14 +1472,14 @@ Mon Mar 18 21:30:34 UTC 2013 - mpost@suse.com
h ZFCP to zFCP (3/18/2013) h ZFCP to zFCP (3/18/2013)
- Updated ctc_configure, dasd_configure, iucv_configure, qeth_configure, zfcp_disk_configure - Updated ctc_configure, dasd_configure, iucv_configure, qeth_configure, zfcp_disk_configure
, zfcp_host_configure to replace $SYSFS with /sysfs in the one instance where $SYSFS would b , zfcp_host_configure to replace $SYSFS with /sysfs in the one instance where $SYSFS would b
e null.- e null.-
------------------------------------------------------------------- -------------------------------------------------------------------
Fri Mar 15 10:57:54 UTC 2013 - rmilasan@suse.com Fri Mar 15 10:57:54 UTC 2013 - rmilasan@suse.com
- Add/change links in /dev/disk/by-id on 'change' and 'add' udev - Add/change links in /dev/disk/by-id on 'change' and 'add' udev
trigger (bnc#808042). trigger (bnc#808042).
add: s390-tools-sles11sp2-update-by_id-links-on-change-and-add-action.patch add: s390-tools-sles11sp2-update-by_id-links-on-change-and-add-action.patch
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Feb 18 18:22:34 UTC 2013 - mpost@suse.com Mon Feb 18 18:22:34 UTC 2013 - mpost@suse.com
@ -1616,7 +1606,7 @@ Fri Jan 13 12:19:12 UTC 2012 - stefan.fent@suse.com
- s390-tools-1.15.0 Maintenace Patches #7 (bnc #740749) - s390-tools-1.15.0 Maintenace Patches #7 (bnc #740749)
- ttyrun: Introduce verbose option for syslog messages - ttyrun: Introduce verbose option for syslog messages
- HiperSockets Network Concentrator: correct warning - HiperSockets Network Concentrator: correct warning
- HiperSockets Network Concentrator: adapt to kernel level - HiperSockets Network Concentrator: adapt to kernel level
------------------------------------------------------------------- -------------------------------------------------------------------
Thu Jan 12 21:59:49 UTC 2012 - jjolly@suse.com Thu Jan 12 21:59:49 UTC 2012 - jjolly@suse.com
@ -1685,7 +1675,7 @@ Mon Oct 24 10:58:51 UTC 2011 - uli@suse.com
------------------------------------------------------------------- -------------------------------------------------------------------
Thu Oct 13 12:36:16 UTC 2011 - thardeck@suse.com Thu Oct 13 12:36:16 UTC 2011 - thardeck@suse.com
- moved iucvconn_on_login from doc to /usr/bin - moved iucvconn_on_login from doc to /usr/bin
- added rcdumpconf link - added rcdumpconf link
------------------------------------------------------------------- -------------------------------------------------------------------
@ -1799,7 +1789,7 @@ Tue Jun 14 15:32:29 CEST 2011 - uli@suse.de
- s390-tools-12-sles11sp2-ttyrun.patch: ttyrun: run a program if a - s390-tools-12-sles11sp2-ttyrun.patch: ttyrun: run a program if a
terminal device is available (fate#312296) terminal device is available (fate#312296)
- s390-tools-12-sles11sp2-hyptop.patch: hyptop: Show hypervisor - s390-tools-12-sles11sp2-hyptop.patch: hyptop: Show hypervisor
performance data on System z (fate#311766) performance data on System z (fate#311766)
- s390-tools-12-sles11sp2-chreipl-enhancements.patch: chreipl: Re-IPL tool - s390-tools-12-sles11sp2-chreipl-enhancements.patch: chreipl: Re-IPL tool
"chreipl" enhancements (fate#311861) "chreipl" enhancements (fate#311861)
- s390-tools-12-sles11sp2-tunedasd-query-reservation-status.patch: - s390-tools-12-sles11sp2-tunedasd-query-reservation-status.patch:
@ -1897,7 +1887,7 @@ Tue Aug 10 15:18:56 CEST 2010 - jjolly@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Wed Jun 2 11:23:55 CEST 2010 - sf@suse.de Wed Jun 2 11:23:55 CEST 2010 - sf@suse.de
- dasd_reload: iterate over all dasd udev-rules (bnc #606394) - dasd_reload: iterate over all dasd udev-rules (bnc #606394)
------------------------------------------------------------------- -------------------------------------------------------------------
Fri May 7 07:26:41 CEST 2010 - jjolly@suse.de Fri May 7 07:26:41 CEST 2010 - jjolly@suse.de
@ -2520,7 +2510,7 @@ Thu Mar 8 14:55:03 CET 2007 - hare@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Mar 5 16:24:27 CET 2007 - hare@suse.de Mon Mar 5 16:24:27 CET 2007 - hare@suse.de
- update -> 1.6.0 - update -> 1.6.0
* Implement dasdinfo and supply own udev rules (#222326) * Implement dasdinfo and supply own udev rules (#222326)
- Fix major/minor number problem (#245342) - Fix major/minor number problem (#245342)
- install mon_fsstatd sysconfig and init scripts - install mon_fsstatd sysconfig and init scripts
@ -2542,8 +2532,8 @@ Fri Feb 2 14:07:46 CET 2007 - hare@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Wed Jan 31 10:29:03 CET 2007 - hare@suse.de Wed Jan 31 10:29:03 CET 2007 - hare@suse.de
- update -> 1.6.0-v4: - update -> 1.6.0-v4:
* tape390_crpyt: Enhanced error handling * tape390_crpyt: Enhanced error handling
* New man page for /dev/prandom * New man page for /dev/prandom
------------------------------------------------------------------- -------------------------------------------------------------------
@ -2649,7 +2639,7 @@ Wed Feb 22 09:58:53 CET 2006 - hare@suse.de
- Update to s390-tools-1.5.2 - Update to s390-tools-1.5.2
- Update to lib-zfcp-hbaapi-1.4 - Update to lib-zfcp-hbaapi-1.4
- dasd_configure should wait for udev before calling vmcp - dasd_configure should wait for udev before calling vmcp
(#149490 - LTC21537) (#149490 - LTC21537)
- Fix mkdump to not use blkid - Fix mkdump to not use blkid
- Minor fixes to mkdump - Minor fixes to mkdump
@ -2754,7 +2744,7 @@ Wed Jun 15 16:59:48 CEST 2005 - uli@suse.de
Wed Jun 15 16:17:25 CEST 2005 - yxu@suse.de Wed Jun 15 16:17:25 CEST 2005 - yxu@suse.de
- fix build with GCC4 - fix build with GCC4
- add prebuild images and ramdisk for zfcp - add prebuild images and ramdisk for zfcp
------------------------------------------------------------------- -------------------------------------------------------------------
Wed Jun 15 10:56:43 CEST 2005 - hare@suse.de Wed Jun 15 10:56:43 CEST 2005 - hare@suse.de
@ -2823,7 +2813,7 @@ Wed Jun 9 16:46:32 CEST 2004 - hare@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Jun 7 16:25:56 CEST 2004 - uli@suse.de Mon Jun 7 16:25:56 CEST 2004 - uli@suse.de
- added missing %fillup_prereq (bug #41732) - added missing %fillup_prereq (bug #41732)
------------------------------------------------------------------- -------------------------------------------------------------------
Fri Jun 4 11:29:16 CEST 2004 - hare@suse.de Fri Jun 4 11:29:16 CEST 2004 - hare@suse.de
@ -2863,13 +2853,13 @@ Tue May 25 16:39:35 CEST 2004 - hare@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Tue May 18 17:16:14 CEST 2004 - uli@suse.de Tue May 18 17:16:14 CEST 2004 - uli@suse.de
- fixed incorrect use of fillup_and_insserv (bug #40733) - fixed incorrect use of fillup_and_insserv (bug #40733)
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Apr 26 13:37:03 CEST 2004 - uli@suse.de Mon Apr 26 13:37:03 CEST 2004 - uli@suse.de
- added dasdro script - added dasdro script
- fixed warning in e2fsprogs code - fixed warning in e2fsprogs code
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Apr 26 09:37:35 CEST 2004 - hare@suse.de Mon Apr 26 09:37:35 CEST 2004 - hare@suse.de
@ -2880,7 +2870,7 @@ Mon Apr 26 09:37:35 CEST 2004 - hare@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Fri Apr 23 16:38:17 CEST 2004 - hare@suse.de Fri Apr 23 16:38:17 CEST 2004 - hare@suse.de
- Update to final version s390-tools-1.3.0 - Update to final version s390-tools-1.3.0
- Fixed zfcp_host_configure to use sh instead of bash - Fixed zfcp_host_configure to use sh instead of bash
- Fixed zfcp_disk_configure to not try to delete hwcfg-file - Fixed zfcp_disk_configure to not try to delete hwcfg-file
if the directory does not exist. if the directory does not exist.
@ -3056,7 +3046,7 @@ Mon Jan 28 19:00:09 CET 2002 - bk@suse.de
------------------------------------------------------------------- -------------------------------------------------------------------
Fri Dec 14 18:57:31 CET 2001 - bk@suse.de Fri Dec 14 18:57:31 CET 2001 - bk@suse.de
- Update to the Dec12 2001 drop s390-tools (-2, -3 and -4) patches - Update to the Dec12 2001 drop s390-tools (-2, -3 and -4) patches
- zipl.conf: fix target setting of dumptape, add missing dumpdasd - zipl.conf: fix target setting of dumptape, add missing dumpdasd
------------------------------------------------------------------- -------------------------------------------------------------------
@ -3149,3 +3139,4 @@ Fri Jul 13 18:31:30 CEST 2001 - mls@suse.de
Fri Jul 13 16:15:33 CEST 2001 - bk@suse.de Fri Jul 13 16:15:33 CEST 2001 - bk@suse.de
- new package based on s390utils - new package based on s390utils

View File

@ -189,6 +189,7 @@ Patch100: s390-tools-sles15sp1-zkey-Enhance-error-message-about-missing-CC
Patch101: s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch Patch101: s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch
Patch102: s390-tools-sles15sp1-zcrypt-refine-lszcrypt-man-page.patch Patch102: s390-tools-sles15sp1-zcrypt-refine-lszcrypt-man-page.patch
BuildRequires: dracut
BuildRequires: fuse-devel BuildRequires: fuse-devel
BuildRequires: gcc-c++ BuildRequires: gcc-c++
BuildRequires: gettext-tools BuildRequires: gettext-tools
@ -556,9 +557,7 @@ fi
%dir %{_datadir}/s390-tools %dir %{_datadir}/s390-tools
%dir %{_datadir}/s390-tools/cpumf %dir %{_datadir}/s390-tools/cpumf
%dir %{_datadir}/s390-tools/netboot %dir %{_datadir}/s390-tools/netboot
%dir %{_prefix}/lib/dracut %dir %{_prefix}/lib/dracut/modules.d/95zdev
%dir %{_prefix}/lib/dracut/modules.d
%{_prefix}/lib/dracut/modules.d/95zdev
%dir /boot/zipl %dir /boot/zipl
%dir /lib/s390-tools/ %dir /lib/s390-tools/
%{_prefix}/lib/modules-load.d/pkey.conf %{_prefix}/lib/modules-load.d/pkey.conf

View File

@ -33,17 +33,17 @@ case "${hypervisor}" in
fi fi
fi fi
echo "The vmcp device driver is ready." echo "The vmcp device driver is ready."
if [ "${ZVM_DETACH_DISKS}" = "yes" ]; then if [ "${ZVM_DETACH_DISKS}" == "yes" ]; then
echo "Detaching devices to prepare for Live Guest Relocation." echo "Detaching devices to prepare for Live Guest Relocation."
/usr/lib/systemd/scripts/detach_disks.sh /usr/lib/systemd/scripts/detach_disks.sh
fi fi
if [ "${ZVM_WARN_ABOUT_POSSIBLE_LGR_PROBLEMS}" = yes ]; then if [ "${ZVM_WARN_ABOUT_POSSIBLE_LGR_PROBLEMS}" == yes ]; then
/sbin/lgr_check /sbin/lgr_check
fi fi
;; ;;
none) none)
hypervisor="lpar" hypervisor="lpar"
if [ "${LPAR_SCLP_HOSTNAME}" = "yes" ]; then if [ "${LPAR_SCLP_HOSTNAME}" == "yes" ]; then
# If the sclp_cpi module is already loaded, we have to unload it # If the sclp_cpi module is already loaded, we have to unload it
# so we can be sure it has the correct system name specified # so we can be sure it has the correct system name specified
# when we reload it again. # when we reload it again.
@ -60,7 +60,7 @@ case "${hypervisor}" in
if ! grep -qw sclp_cpi /proc/modules 2>/dev/null; then if ! grep -qw sclp_cpi /proc/modules 2>/dev/null; then
echo "We were unable to load the sclp_cpi module to set the LPAR name." echo "We were unable to load the sclp_cpi module to set the LPAR name."
exit 2 exit 2
fi fi
fi fi
;; ;;
kvm) kvm)

View File

@ -1,6 +1,6 @@
[Unit] [Unit]
Description=System startup script for the Linux - z/VM Log reader Description=System startup script for the Linux - z/VM Log reader
After=network-online.target remote-fs.target After=network-online.target remote-fs.target
Wants=network-online.target remote-fs.target Wants=network-online.target remote-fs.target
ConditionPathExists=!/dev/vmlogrdr_LOGREC ConditionPathExists=!/dev/vmlogrdr_LOGREC

10
xpram
View File

@ -12,9 +12,9 @@ read_config_file() {
return 0 return 0
fi fi
file=$XPRAM_CONFIG_FILE file=$XPRAM_CONFIG_FILE
if [ -s "$file" ]; then if [ -s "$file" ]; then
. $file source $file
config_read=1 config_read=1
else else
echo -ne "Cannot read $file: empty or nonexistant! " echo -ne "Cannot read $file: empty or nonexistant! "
@ -69,7 +69,7 @@ prepare_xpram() {
if [ $? -ne 0 ] if [ $? -ne 0 ]
then then
echo -n "Mount failed with error code $?" echo -n "Mount failed with error code $?"
exit 6 exit 6
fi fi
fi fi
} }
@ -83,7 +83,7 @@ prepare_xpram() {
# 5 - program is not installed # 5 - program is not installed
# 6 - program is not configured # 6 - program is not configured
# 7 - program is not running # 7 - program is not running
# #
# Note that starting an already running service, stopping # Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart # or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are # with force-reload (in case signalling is not supported) are
@ -164,7 +164,7 @@ case "$1" in
check_config check_config
lsmod | grep -q $XPRAM_MODULE lsmod | grep -q $XPRAM_MODULE
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
if [ "$XPRAM_DEVNODE" ]; then if [ "$XPRAM_DEVNODE" ]; then
if ! grep -q $XPRAM_DEVNODE /proc/mounts && ! swapon -s | grep -q $XPRAM_DEVNODE; then if ! grep -q $XPRAM_DEVNODE /proc/mounts && ! swapon -s | grep -q $XPRAM_DEVNODE; then

View File

@ -1,6 +1,6 @@
[Unit] [Unit]
Description=Linux - z/VM Monitor Stream Description=Linux - z/VM Monitor Stream
After=network-online.target remote-fs.target After=network-online.target remote-fs.target
Wants=network-online.target remote-fs.target Wants=network-online.target remote-fs.target
ConditionPathExists=/proc/sys/appldata/interval ConditionPathExists=/proc/sys/appldata/interval
ConditionPathExists=!/var/lock/appldata ConditionPathExists=!/var/lock/appldata